//格式化树形数据
export function getTrees(list, pId) {
  const items = {};
  // 获取每个节点的直属子节点，*记住是直属，不是所有子节点
  for (let i = 0; i < list.length; i++) {
    const key = list[i].parentId ? list[i].parentId : list[i].pid;
    if (items[key]) {
      items[key].push(list[i]);
    } else {
      items[key] = [];
      items[key].push(list[i]);
    }
  }
  console.log(items);
  return formatTree(items, pId);
}
/**利用递归格式化每个节点**/
export function formatTree(items, pId) {
  const result = [];
  if (!items[pId]) {
    return result;
  }
  for (const t of items[pId]) {
    t.children = formatTree(items, t.id);
    result.push(t);
  }
  return result;
}
